#define BYTE(addr) (((unsigned char *)hubram)[(addr) & 0xffff])
#define WORD(addr) (((unsigned short *)hubram)[((addr) & 0xffff) >> 1])
#define LONG(addr) (((long *)hubram)[((addr) & 0xffff) >> 2])

typedef struct CogVarsS {
    long x1e0;     // $1e0
    long x1e1;     // $1e1
    long x1e2;     // $1e2
    long x1e3;     // $1e3
    long x1e4;     // $1e4
    long masklong; // $1e5
    long masktop;  // $1e6
    long maskwr;   // $1e7
    long lsb;      // $1e8
    long id;       // $1e9
    long dcall;    // $1ea
    long pbase;    // $1eb
    long vbase;    // $1ec
    long dbase;    // $1ed
    long pcurr;    // $1ee
    long dcurr;    // $1ef
    long par;      // $1f0
    long cnt;      // $1f1
    long ina;      // $1f2
    long inb;      // $1f3
    long outa;     // $1f4
    long outb;     // $1f5
    long dira;     // $1f6
    long dirb;     // $1f7
    long ctra;     // $1f8
    long ctrb;     // $1f9
    long frqa;     // $1fa
    long frqb;     // $1fb
    long phsa;     // $1fc
    long phsb;     // $1fd
    long vcfg;     // $1fe
    long vscl;     // $1ff
    long state;
} CogVarsT;

void StartCog(CogVarsT *cogvars, int par, int cogid);
